NisusWrtText.cxx File Reference
`#include <iomanip>`
`#include <iostream>`
`#include <limits>`
`#include <map>`
`#include <sstream>`
`#include <librevenge/librevenge.h>`
`#include "MWAWTextListener.hxx"`
`#include "MWAWDebug.hxx"`
`#include "MWAWFont.hxx"`
`#include "MWAWFontConverter.hxx"`
`#include "MWAWPageSpan.hxx"`
`#include "MWAWParagraph.hxx"`
`#include "MWAWPosition.hxx"`
`#include "MWAWRSRCParser.hxx"`
`#include "MWAWSection.hxx"`
`#include "MWAWSubDocument.hxx"`
`#include "NisusWrtParser.hxx"`
`#include "NisusWrtStruct.hxx"`
`#include "NisusWrtText.hxx"`

## Classes
struct | NisusWrtTextInternal::Font
| Internal: the fonts and many other data. More...
struct | NisusWrtTextInternal::Paragraph
| Internal: class to store the paragraph properties. More...
struct | NisusWrtTextInternal::HeaderFooter
| Internal structure: use to store a header. More...
struct | NisusWrtTextInternal::Footnote
| Internal structure: use to store a footnote. More...
struct | NisusWrtTextInternal::PicturePara
| Internal: the picture data ( PICD ). More...
struct | NisusWrtTextInternal::DataPLC
| Internal: class to store the PLC: Pointer List Content ? More...
struct | NisusWrtTextInternal::Zone
| internal structure used to store zone data More...
struct | NisusWrtTextInternal::State
| Internal: the state of a NisusWrtText. More...
class | NisusWrtTextInternal::SubDocument
| Internal: the subdocument of a NisusWrtText. More...

## Namespaces
namespace | NisusWrtTextInternal
| Internal: the structures of a NisusWrtText.

## Enumerations
enum | NisusWrtTextInternal::PLCType { NisusWrtTextInternal::P_Format =0 , NisusWrtTextInternal::P_Ruler , NisusWrtTextInternal::P_Footnote , NisusWrtTextInternal::P_HeaderFooter , NisusWrtTextInternal::P_PicturePara , NisusWrtTextInternal::P_Unknown }
| different types More...

## Functions
std::ostream & | NisusWrtTextInternal::operator<< (std::ostream &o, Font const &font)
std::ostream & | NisusWrtTextInternal::operator<< (std::ostream &o, HeaderFooter const &hf)
std::ostream & | NisusWrtTextInternal::operator<< (std::ostream &o, Footnote const &ft)
std::ostream & | NisusWrtTextInternal::operator<< (std::ostream &o, PicturePara const &pict)
std::ostream & | NisusWrtTextInternal::operator<< (std::ostream &o, DataPLC const &plc)
| operator<< for DataPLC